import 'package:flutter_test/flutter_test.dart';
import 'package:integration_test/integration_test.dart';
import 'package:quickblox_sdk/chat/constants.dart';
import 'package:quickblox_sdk/models/qb_dialog.dart';
import 'package:quickblox_sdk/models/qb_filter.dart';
import 'package:quickblox_sdk/quickblox_sdk.dart';

import '../base/credentials.dart';

void main() {
  IntegrationTestWidgetsFlutterBinding.ensureInitialized();

  setUpAll(() async {
    await Credentials.init();
  });

  setUp(() async {
    await Future.delayed(const Duration(seconds: 5), null);

    await Credentials.loginToRest();
  });

  tearDown(() async {
    await Credentials.logoutRest();
  });

  test("get with specific dialog by filter", () async {
    QBFilter filter = QBFilter();
    filter.field = QBChatDialogFilterFields.ID;
    filter.value = Credentials.DIALOG_ID;
    filter.operator = QBChatDialogFilterOperators.ALL;

    List<QBDialog?> dialogs = await QB.chat.getDialogs(filter: filter);
    expect(dialogs.length == 1, true);
  });
}
