const String CUSTOM_DATA_CLASS_NAME = "FlutterCustomData";

class CustomDataUtils {
  CustomDataUtils._();

  static Map<String, Object> buildCorrectCustomData() {
    Map<String, Object> customData = {};

    customData["class_name"] = CUSTOM_DATA_CLASS_NAME;

    customData["customBoolean"] = true;
    customData["customInteger"] = 800;
    customData["customString"] = "test string from Flutter";
    customData["customFloat"] = 7.7;
    customData["customArray"] = ["test 1", "test 2", "test 3"];

    return customData;
  }

  static Map<String, Object> buildCorrectCustomData_1String_Field() {
    Map<String, Object> customData = {};

    customData["class_name"] = CUSTOM_DATA_CLASS_NAME;

    customData["customString"] = "test string from Flutter";

    return customData;
  }

  static Map<String, Object> buildUpdatedCorrectCustomData() {
    Map<String, Object> customData = {};

    customData["class_name"] = CUSTOM_DATA_CLASS_NAME;

    customData["customBoolean"] = false;
    customData["customInteger"] = 800;
    customData["customString"] = "updated test string from Flutter ${DateTime.now()}";
    customData["customFloat"] = 8.8;
    customData["customArray"] = ["updated test 1", "updated test 2", "updated test 3"];

    return customData;
  }

  static Map<String, Object> buildUpdatedCorrectCustomData_1String_Field() {
    Map<String, Object> customData = {};

    customData["class_name"] = CUSTOM_DATA_CLASS_NAME;

    customData["customString"] = "updated test string from Flutter ${DateTime.now()}";

    return customData;
  }

  static Map<String, Object> buildWrongCustomData() {
    Map<String, Object> customData = {};

    customData[""] = "wrong value";

    return customData;
  }

  static Map<String, Object> buildEmptyCustomDataButHasClassName() {
    Map<String, Object> customData = {};

    customData["class_name"] = CUSTOM_DATA_CLASS_NAME;

    return customData;
  }

  static Map<String, Object> build_3correct_1WrongCustomData() {
    Map<String, Object> customData = {};

    customData["class_name"] = CUSTOM_DATA_CLASS_NAME;

    customData["customBoolean"] = false;
    customData["customInteger"] = 700;
    customData[""] = "wrong value";
    customData["customFloat"] = 8.8;

    return customData;
  }
}
