import 'dart:collection';

import 'package:quickblox_sdk/models/qb_dialog.dart';

class UnreadMessagesUtils {
  UnreadMessagesUtils._();

  static int calculateCountFromDialogs(List<QBDialog?> dialogs) {
    int countOfMessages = 0;

    dialogs.forEach((dialog) => countOfMessages += dialog!.unreadMessagesCount!);

    return countOfMessages;
  }

  static int? calculateCountFromListMaps(List<Map<String, int>>? list) {
    int countOfMessages = 0;

    if (list == null || list.isEmpty) {
      return null;
    }

    list.forEach((element) {
      Map<String, int> result = HashMap.from(element);

      countOfMessages += result.values.single;
    });

    return countOfMessages;
  }

  static List<String> getIdsFromDialogs(List<QBDialog?> dialogs) {
    List<String> dialogIds = [];

    dialogs.forEach((dialog) => dialogIds.add(dialog!.id!));

    return dialogIds;
  }

  static List<String> buildWrongDialogIds() {
    List<String> dialogIds = [];

    dialogIds.add(buildWrongDialogId());
    dialogIds.add(buildWrongDialogId());
    dialogIds.add(buildWrongDialogId());

    return dialogIds;
  }

  static String buildWrongDialogId() {
    return "wrong_dialog_id_${DateTime.now()}";
  }
}
